Skip to main content
`Ctrl`+`K`

# DMFieldGetDM

Returns the `DM` for the manifold over which the field is defined.

## Synopsis

    #include "petscdmfield.h"
    #include "petscdmfield.h"
    PetscErrorCode DMFieldGetDM(DMField field, DM *dm)

Not Collective

## Input Parameter

- field - The `DMField` object

## Output Parameter

- dm - The `DM` object

## See Also

`DMField`, `DM`, `DMFieldEvaluate()`

## Level

intermediate

## Location

src/dm/field/interface/dmfield.c

## Examples

src/dm/field/tutorials/ex1.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages